%define name chromium
%define version 0.9.6
%define release 1mdk
%define prefix %{_prefix}

Summary: Fast paced, arcade-style, top-scrolling space shooter
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: http://www.reptilelabour.com/software/files/chromium/%{name}-src-%{version}.tar.bz2
Source1: http://www.reptilelabour.com/software/files/chromium/%{name}-data-%{version}.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch0: chromium-fix-compile.patch.bz2
Patch1: chromium-fix-configure.patch.bz2
Patch2: chromium-add-pkgdatadir.patch.bz2
BuildRequires: SDL-devel
URL: http://www.reptilelabour.com/software/chromium/

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel.
This is an OpenGL-based shoot them up game with fine graphics.

%prep
%setup -q -n Chromium-0.9
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" DEFS="-DPKGDATADIR=\\\"%{_gamesdatadir}/Chromium-0.9\\\"" make CONFIGURE_CALL="./configure %{_target_cpu}-mandrake-linux --prefix=%{_prefix} --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}"

%install
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}
cp bin/%{name} $RPM_BUILD_ROOT/%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}
tar yxvf %{SOURCE1} -C $RPM_BUILD_ROOT/%{_gamesdatadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Chromium" \
  longtitle="OpenGL shoot them up"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README LICENSE
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Sat Sep 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.6-1mdk
- first Mandrake Package

